package com.diagbot.vo;

import com.diagbot.client.bean.LisResult;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @Description:
 * @author: gaodm
 * @time: 2019/8/28 17:44
 */
@Getter
@Setter
public class PushJoinVO {
    @NotNull(message = "请输入年龄")
    private Integer age;
    @NotNull(message = "请输入性别")
    private Integer sex;
    private String symptom;
    private String diag;
    private String vital;
    private List<LisResult> lis;
    private String pacs;
    @ApiModelProperty(hidden = true)
    private String past;
    private String other;
    //不能分类文本
    private String unknown;

    private String diseaseName;
    private String scaleName; //量表名称
    @ApiModelProperty(hidden = true)
    private Integer disType;  //0-普通病（默认不填），1-慢病，2-急诊
    private String adverseReactions; //不良反应
    private String indications;   //推理指标
    private String hosCode;   //医院编码

    private String lisString;  //化验纯文本
    private String lisOrder;   //当前正在下单化验
    private String pacsOrder;   //当前正在下单辅检
    private String otherOrder; //其他

    //创建时间
    @ApiModelProperty(hidden = true)
    private String mrId; //病历编号
    //创建时间
    @ApiModelProperty(hidden = true)
    private Date createTime;
    //过期时间
    @ApiModelProperty(hidden = true)
    private Date expireTime;
    //过期时间字符串
    @ApiModelProperty(hidden = true)
    private String expireTimeStr;
}
