package com.diagbot.facade;

import com.diagbot.client.bean.SearchData;
import com.diagbot.enums.LisSourceEnum;
import com.diagbot.enums.SysTypeEnum;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.ListUtil;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.LisResult;
import com.diagbot.vo.PushVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/5/9 15:40
 */
@Component
public class AssembleFacade {
    /**
     * 拼装数据
     *
     * @param pushVO
     * @return SearchData
     */
    public SearchData assembleData(PushVO pushVO) {
        SearchData searchData = new SearchData();
        searchData.setAge(pushVO.getAge());
        searchData.setSymptom(pushVO.getSymptom());
        searchData.setVital(pushVO.getVital());
        searchData.setPacs(pushVO.getPacs());
        searchData.setPast(pushVO.getPast());
        searchData.setOther(pushVO.getOther());
        searchData.setDiag(pushVO.getDiag());
        searchData.setDisType(pushVO.getDisType());
        searchData.setAdverseEvent(pushVO.getAdverseReactions());
        searchData.setScaleName(pushVO.getScaleName());
        searchData.setDiseaseName(pushVO.getDiseaseName());
        searchData.setIndications(pushVO.getIndications());
        searchData.setFeatureType(pushVO.getFeatureType());
        searchData.setHosCode(pushVO.getHosCode());
        searchData.setSysCode("1");
        searchData.setLength(10);
        searchData.setSysType(SysTypeEnum.ICSS_SERVICE.getKey());

        switch (pushVO.getSex()) {
            case 1:
                searchData.setSex("M");
                break;
            case 2:
                searchData.setSex("F");
                break;
            default:
                searchData.setSex("A");
                break;
        }

        //化验项映射,转公表
        if (ListUtil.isNotEmpty(pushVO.getLis())) {
            searchData.setLisArr(pushVO.getLis());
        }
        return searchData;
    }
}