package com.diagbot.client.hystrix;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.client.bean.CalculateData;
import com.diagbot.client.bean.ScaleContent;
import com.diagbot.client.bean.SearchData;
import com.diagbot.dto.ConceptIntroduceDTO;
import com.diagbot.dto.PushDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.ConceptIntroduceVO;
import com.diagbot.vo.ConnectIntroduceVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.util.List;
import java.util.Map;

/**
 * @Description: 调用知识库服务
 * @author: gaodm
 * @time: 2019/2/1 17:00
 */
@Component
@Slf4j
public class AiptServiceHystrix implements AiptServiceClient {
    /**
     * 推理
     *
     * @param searchData
     * @return
     */
    @Override
    public RespDTO<PushDTO> pushInner(@RequestBody SearchData searchData) {
        log.error("【hystrix】调用{}异常", "pushInner");
        return null;
    }

    /**
     * 获取治疗方案
     *
     * @param searchData
     * @return
     */
    @Override
    public RespDTO<Map<String, Object>> getTreatment(@RequestBody SearchData searchData) {
        log.error("【hystrix】调用{}异常", "getTreatment");
        return null;
    }

    /**
     * 计算接口-量表/公式
     *
     * @param calculateData
     * @return
     */
    @Override
    public RespDTO<Map<String, Object>> scaleCalc(@RequestBody CalculateData calculateData) {
        log.error("【hystrix】调用{}异常", "scaleCalc");
        return null;
    }

    /**
     * 获取量表接口
     *
     * @param searchData
     * @return
     */
    @Override
    public RespDTO<List<ScaleContent>> getScale(@RequestBody SearchData searchData) {
        log.error("【hystrix】调用{}异常", "getScale");
        return null;
    }

    /**
     * 获取提示信息
     *
     * @param conceptIntroduceVO
     * @return
     */
    @Override
    public RespDTO<ConceptIntroduceDTO> getConceptDetail(@Valid @RequestBody ConceptIntroduceVO conceptIntroduceVO) {
        log.error("【hystrix】调用{}异常", "getConceptDetail");
        return null;
    }

    /**
     * 获取提示信息-对接
     *
     * @param connectIntroduceVO
     * @return
     */
    @Override
    public RespDTO<List<ConceptIntroduceDTO>> getConnectConceptDetails(@Valid @RequestBody ConnectIntroduceVO connectIntroduceVO) {
        log.error("【hystrix】调用{}异常", "getConnectConceptDetails");
        return null;
    }
}