package com.diagbot.client.hystrix;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.client.bean.SearchData;
import com.diagbot.dto.ConceptBaseDTO;
import com.diagbot.dto.ConceptRetrievalDTO;
import com.diagbot.dto.GetTopPatientInfoDTO;
import com.diagbot.dto.PushDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.VersionWrapperDTO;
import com.diagbot.vo.ConceptSearchVO;
import com.diagbot.vo.ConceptUsualVO;
import com.diagbot.vo.GetTopPatientInfoVO;

import com.diagbot.vo.RetrievalVO;
import com.diagbot.vo.VersionVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.util.List;
import java.util.Map;

/**
 * @Description:调用中间层服务
 * @Author: Mark Huang
 * @time: 2019/03/25 19:15
 */
@Component
@Slf4j
public class AiptServiceHystrix implements AiptServiceClient {
    /**
     * 推理
     *
     * @param searchData
     * @return
     */
    @Override
    public RespDTO<PushDTO> pushInner(@RequestBody SearchData searchData) {
        log.error("【hystrix】调用{}异常", "pushInner");
        return null;
    }
    
    @Override
    public RespDTO<GetTopPatientInfoDTO> getTopPatientInfo(GetTopPatientInfoVO getTopPatientInfoVO) {
        log.error("【hystrix】调用{}异常", "getTopPatientInfo");
        return null;
    }

    @Override
    public RespDTO<List<ConceptBaseDTO>> getConceptUsual(@Valid ConceptUsualVO conceptUsualVO) {
        log.error("【hystrix】调用{}异常", "getConceptUsual");
        return null;
    }

    @Override
    public RespDTO<List<ConceptRetrievalDTO>> retrivelConceptInfo(@Valid RetrievalVO retrievalVO) {
        log.error("【hystrix】调用{}异常", "retrivelConceptInfo");
        return null;
    }

    @Override
    public RespDTO<Map<Long, String>> getConceptMap(ConceptSearchVO conceptSearchVO) {
        log.error("【hystrix】调用{}异常", "getConceptMap");
        return null;
    }

    /**
     * 获取版本信息
     */
    @Override
    public RespDTO<VersionWrapperDTO> getVersionInfoAlls(VersionVO versionVO){
        log.error("【hystrix】调用{}异常", "getVersionInfoAlls");
        return null;
    }
}