package com.diagbot.vo;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:58
 */
@ApiModel(value="病历详情接口传参")
@Getter
@Setter
public class GetInquiryDetailVO {

	/**
     * 医院id
     */
	@ApiModelProperty(value="医院id")
    private Long hospitalId;
	
	 /**
     * 医院编码
     */
	@ApiModelProperty(value="医院编码")
    private String hospitalCode;

    /**
     * 医院科室id
     */
	@ApiModelProperty(value="医院科室id")
    private Long hospitalDeptId;

    /**
     * 医院科室编码
     */
	@ApiModelProperty(value="医院科室编码")
    private String hospitalDeptCode;

    /**
     * 医生id
     */
	@ApiModelProperty(value="医生id")
    private Long doctorId;
	
    /**
     * 医生编码
     */
	@ApiModelProperty(value="医生编码")
    private String doctorCode;

    /**
     * 患者id
     */
	@ApiModelProperty(value="患者id")
    private Long patientId;
	
    /**
     * 患者编号
     */
	@ApiModelProperty(value="患者编号")
    private String patientCode;
	
    /**
     * 患者病历号
     */
	@ApiModelProperty(value="患者病历号")
    private String patientIdNo;
	
    /**
     * 就诊序列号
     */
	@ApiModelProperty(value="就诊序列号",required=true)
	@NotBlank(message="就诊序列号必传")
    private String inquiryCode;

    /**
     * 有效天数限制
     */
    @ApiModelProperty(value="有效天数限制")
	private int dayLimit = 15;

}
