package com.diagbot.client;

import com.diagbot.client.hystrix.TranServiceHystrix;
import com.diagbot.dto.HospitalDeptDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.HospitalDeptVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/8/20 10:12
 */
@FeignClient(value = "tran-service", fallback = TranServiceHystrix.class)
public interface TranServiceClient {
    @PostMapping(value = "/hospitalDeptInfo/hospitalDeptByConceptNames")
    RespDTO<Map<String, List<HospitalDeptDTO>>> hospitalDeptByConceptNames(@RequestBody HospitalDeptVO hospitalDeptVO);
}